Subject: Re: [PATCH] gitweb: Teach "a=blob" action to be more lenient about blob/file mime type

From: Jakub Narebski <[email-masked]>
Date: Sun, 9 Dec 2007 11:06:13 +0100

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:

>> +		}
>> +	} els
 
> There is a "Huh?" on the last line, though.

I'm sorry for this wart. Can you correct this, or should I send
amended patch?
 
>> P.S. BTW is there some plumbing for scripts to help with
>> gitattributes, for example showing all gitattributes (or status of
>> selected attributes) for given path?
> 
> $ git grep gitattributes Documentation | grep -i display

Thanks. 

But as far as I can see you cannot specify _revision_,
i.e. git-check-attr operates _only_ on working directory, and
can be run only in a work tree. For gitweb I'd like it to run
in bare repository, and check $GIT_DIR/info/attributes and
<revision>:[*/].gitattributes

-- 
Jakub Narebski
Poland